package com.ruoyi.platform.mapper;

import com.ruoyi.platform.domain.ActiveLearnIns;
import org.apache.ibatis.annotations.Param;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface ActiveLearnInsDao {
    long count(@Param("activeLearnId") Long activeLearnId);

    List<ActiveLearnIns> queryAllByLimit(@Param("activeLearnId") Long activeLearnId, @Param("pageable") Pageable pageable);

    int insert(@Param("activeLearnIns") ActiveLearnIns activeLearnIns);

    int update(@Param("activeLearnIns") ActiveLearnIns activeLearnIns);

    ActiveLearnIns queryById(@Param("id") Long id);

    List<ActiveLearnIns> getByActiveLearnId(@Param("activeLearnId") Long activeLearnId);

    List<ActiveLearnIns> queryActiveLearnInsIsNotTerminated();
}
